summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/cluster_read_credit
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2012-04-16 19:20:30 +0000
committerAlan Conway <aconway@apache.org>2012-04-16 19:20:30 +0000
commitc121e4803971122f703730eb65c8d7bfdeec916f (patch)
tree533b5ba34eadb63eca73ecb5aeaafbdcb5f6ea1c /qpid/cpp/src/tests/cluster_read_credit
parent0dde682105118b364773e2bee18021734edcf573 (diff)
downloadqpid-python-c121e4803971122f703730eb65c8d7bfdeec916f.tar.gz
NO-JIRA: Control running of cluster tests.
Previously cluster tests would run if cluster services were running, even if build was explicitly configured without CPG. Don't run cluster tests unless the build is configured with CPG. If the build is configured *with* CPG, you can still skip the CPG tests by setting QPID_USE_CPG=no in the environment. git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@1326756 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/cluster_read_credit')
-rwxr-xr-xqpid/cpp/src/tests/cluster_read_credit4
1 files changed, 3 insertions, 1 deletions
diff --git a/qpid/cpp/src/tests/cluster_read_credit b/qpid/cpp/src/tests/cluster_read_credit
index fb3b72fbaf..552ffee53b 100755
--- a/qpid/cpp/src/tests/cluster_read_credit
+++ b/qpid/cpp/src/tests/cluster_read_credit
@@ -21,7 +21,9 @@
# Regression test for http://issues.apache.org/jira/browse/QPID-2086
srcdir=`dirname $0`
-. $srcdir/ais_check
+source cpg_check.sh
+cpg_enabled || exit 0
+
$srcdir/start_cluster 1 --cluster-read-max=2 || exit 1
trap $srcdir/stop_cluster EXIT
seq 1 10000 | ./sender --port `cat cluster.ports` --routing-key no-such-queue